# Uses of Interface
org.apache.commons.math3.geometry.partitioning.Transform

Packages that use Transform
Package
Description
org.apache.commons.math3.geometry.euclidean.twod
This package provides basic 2D geometry components.
org.apache.commons.math3.geometry.partitioning
This package provides classes to implement Binary Space Partition trees.
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of Transform in org.apache.commons.math3.geometry.euclidean.twod

Methods in org.apache.commons.math3.geometry.euclidean.twod that return Transform
Modifier and Type
Method
Description
`static Transform<Euclidean2D,Euclidean1D>`
Line.`getTransform(double cXX, double cYX, double cXY, double cYY, double cX1, double cY1)`
Get a `Transform` embedding an affine transform.
`static Transform<Euclidean2D,Euclidean1D>`
Line.`getTransform(AffineTransform transform)`
Deprecated.
as of 3.6, replaced with `Line.getTransform(double, double, double, double, double, double)`

## Uses of Transform in org.apache.commons.math3.geometry.partitioning

Methods in org.apache.commons.math3.geometry.partitioning with parameters of type Transform
Modifier and Type
Method
Description
`AbstractRegion<S,T>`
AbstractRegion.`applyTransform(Transform<S,T> transform)`
Transform a region.
`AbstractSubHyperplane<S,T>`
AbstractSubHyperplane.`applyTransform(Transform<S,T> transform)`
Apply a transform to the instance.

## Uses of Transform in org.apache.commons.math3.geometry.spherical.twod

Methods in org.apache.commons.math3.geometry.spherical.twod that return Transform
Modifier and Type
Method
Description
`static Transform<Sphere2D,Sphere1D>`
Circle.`getTransform(Rotation rotation)`
Get a `Transform` embedding a 3D rotation.